Bug 216147 - Installer crashed with error block.dmraid.GroupingError on system which had preexisting md raid
Installer crashed with error block.dmraid.GroupingError on system which had p...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-pyblock (Show other bugs)
5.0
i386 Linux
medium Severity high
: rc
: ---
Assigned To: Hans de Goede
http://homepages.gac.edu/~sommere/rhe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 09:37 EST by Ethan Sommer
Modified: 2009-10-07 09:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 09:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ethan Sommer 2006-11-17 09:37:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20061011 Fedora/1.5.0.7-7.fc6 Firefox/1.5.0.7

Description of problem:
Just after the media check the system starts to load the graphical installer, but then crashes with the error:


block.dmraid.GroupingError: .ddf1_disks

see http://homepages.gac.edu/~sommere/rhel5b2installcrash.JPG for a screencap of the stack trace

the system had previously had several raid 1 and 6 arrays. The raid 6 arrays had lvm on top of them.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Set up system with raid devices (both raid 6 and 1) and lvm
2. try to install over that system
3. the installer will crash before you can do anythign about it

Actual Results:
see stack trace

Expected Results:
I should have been able to install over the system 

Additional info:
Comment 2 Denise Dumas 2009-06-30 16:50:49 EDT
Moving to RHEL 5.5 so it doesn't get mistakenly closed by the bot
Comment 3 Joel Andres Granados 2009-09-30 10:24:10 EDT
Very strange behavior.  And, ofcourse, I can't reproduce :).  I think its directly linked to the setup you have on the box.

Can you please run the following script on tty2.  As soon as you get tty2.

<script>
import block
rss = block.getRaidSet()
</script>

run it as like this `python scriptName`.  You can also execute it in a python console.  Pls post the output.
Comment 4 Hans de Goede 2009-10-07 03:56:25 EDT
Ethan,

Does the system in question actually have BIOS RAID? Or is the raid you mention it has all software raid (mdraid) or full hardware RAID ?
Comment 5 Ethan Sommer 2009-10-07 09:13:56 EDT
I filed this bug in 2006...

I am almost positive it was mdraid (as the subject of the bug states)

If I remember correctly, I used dd to wipe out the drives and was then able to install.

I _assume_ this has been fixed in the almost 3 years that have past... 

Obviously I can't run a script on the system. I'm not even sure we still HAVE that system, but it has probably been reinstalled a few times since then in any case.
Comment 6 Hans de Goede 2009-10-07 09:39:46 EDT
Hmm, you are right, we did leave this one lingering very long, sorry about that.

Ok, closing this as insufficient info then.

Note You need to log in before you can comment on or make changes to this bug.